#!/bin/dash

# $SCRIPTDIR/cluster-restart.sh
# 
# Script to completely stop and restart cluster processes
# 
# Japheth Cleaver - cleaver@rohan.sdsu.edu
# 

# Load this installation's configuration
if [ -z "$VPOPMAILHOME" ]; then
   if [ -r /etc/sysconfig/vpopmail ]; then
	. /etc/sysconfig/vpopmail
   else
	echo "$0: Unable to read /etc/sysconfig/vpopmail"
	exit 1
   fi
fi

if [ ! -x "$SCRIPTDIR/cluster-stop.sh" -o ! -x "$SCRIPTDIR/cluster-update.sh" -o ! -x "$SCRIPTDIR/cluster-start.sh" ]; then
	echo "Unable to find cluster-* scripts in $SCRIPTDIR"
	exit 1
fi


#######################################################################

env - "$SCRIPTDIR/cluster-stop.sh"

env - "$SCRIPTDIR/cluster-update.sh" NORELOAD

env - "$SCRIPTDIR/cluster-start.sh"

#######################################################################

