#!/bin/dash

# $SCRIPTDIR/cluster-stop.sh
# Stop all qmail-related services on this host as cleanly as possible.
#
# Note: Eventually, "roles" will be defined in /etc/sysconfig/vpopmail
#       but fow now, nothing...
#

[ "$CLUSTERSERVICES" ] || CLUSTERSERVICES="httpd courier-imap courier-authlib qmail freshclam clamd"
[ "$MALPROCS" ] || MALPROCS="tcpserver ripmime clamdscan freshclam qmail-pop3d qmail-popup vchkpw qmail-smtpd qmail-queue qmail-remote qmail-local qmail-todo qmail-send qmail-lspawn qmail-rspawn tcpserver speedy_backend vprocessmail vdelivermail vdelivermail-real vrecordmail rblsmtpd greylist vrcptcheck vrcptcheck-real stunnel gocr"

# Load this installation's configuration
if [ -z "$VPOPMAILHOME" ]; then
   if [ -r /etc/sysconfig/vpopmail ]; then
	. /etc/sysconfig/vpopmail
   else
	echo "$0: Unable to read /etc/sysconfig/vpopmail"
	exit 1
   fi
fi


# Bring services down nicely
  for THISSERVICE in $CLUSTERSERVICES
  do
     /sbin/service "$THISSERVICE" stop >/dev/null
  done


 # Double-check our work -- and get rid of any hung processes
  for THIS in $MALPROCS ; do
     killall "$THIS" 2>/dev/null
  done

  sleep 1

  for THIS in $MALPROCS ; do
     killall -9 "$THIS" 2>/dev/null
  done
