#!/bin/sh

# $SCRIPTDIR/master-clustermaint-cleanup.sh
# 
# Script to clean up after the cluster boxes have done their update cycle
# 
# Japheth Cleaver - cleaver@rohan.sdsu.edu
# 

# Load this installation's configuration
if [ -z "$VPOPMAILHOME" ]; then
   if [ -r /etc/sysconfig/vpopmail ]; then
	. /etc/sysconfig/vpopmail
   else
	echo "$0: Unable to read /etc/sysconfig/vpopmail"
	exit 1
   fi
fi

if [ -n "$IS_CLUSTER" -o -z "$IS_MASTER" ]; then 
	echo "This script should ONLY be run on the master server!" 
	echo "Edit /etc/sysconfig/vpopmail on `uname -n` or stop running $0"
	exit 1
fi


#######################################################################

#######################################################################
# 

#######################################################################

 # Run our updates... the cluster-update script takes care of syncing
 # between the master server and here. 'NORELOAD' prevents it from
 # trying to reload qmail-smtpd or anything else, since none of them
 # are running at this point.

 export NORELOAD=NORELOAD

 # Get new clamav database versions...
 /sbin/service qmail reload

 # Check for messages that are stuck in the queue:
 # But wait for a few moments (after the :00 of the minute) to allow current messages to be attempted)
 echo "Sleeping for 20..."
 sleep 20
 /usr/sbin/vshowqueue | grep -v "`date '+%F %H:%M'`" | grep ^[0-9] | awk '{print $1}' | xargs -r /usr/sbin/vmsgreset
