#!/bin/dash

# $SCRIPTDIR/master-update.sh
#
# Update the "important" files from a the local machine to a
# central shared NFS mount. Another script runs on each cluster
# and pulls the appropriate files down.
#
# This runs every few minutes on the master machine.
#
# Japheth Cleaver - cleaver@rohan.sdsu.edu
#

# Load this installation's configuration
if [ -z "$VPOPMAILHOME" ]; then
   if [ -r /etc/sysconfig/vpopmail ]; then
	. /etc/sysconfig/vpopmail
   else
	echo "$0: Unable to read /etc/sysconfig/vpopmail"
	exit 1
   fi
fi

if [ -z "$IS_MASTER" -o -n "$IS_CLUSTER" ]; then
	echo "This script should ONLY be run on the master server!"
	echo "Edit /etc/sysconfig/vpopmail on `uname -n` or stop running $0"
	exit 1
fi



# Do our work...
  cp -pf /etc/tcprules.d/qmail-pop3d	"$CONFIGDIR/tcprules_qmail-pop3d"
  cp -pf /etc/tcprules.d/qmail-smtpd	"$CONFIGDIR/tcprules_qmail-smtpd"


# Yes, we know assign belongs in /users instead of /control,
# but this makes things easier
  cp -pf /etc/qmail/control/rcpthosts		"$CONTROLDIR/rcpthosts"
  cp -pf /etc/qmail/control/morercpthosts	"$CONTROLDIR/morercpthosts"
  cp -pf /etc/qmail/control/virtualdomains	"$CONTROLDIR/virtualdomains"
  cp -pf /etc/qmail/users/assign		"$CONTROLDIR/assign"

  rm -f /etc/qmail/control/*.lock
  rm -f /etc/qmail/users/*.lock

  chown -R vpopmail:vchkpw /etc/qmail/control
  chown -R vpopmail:vchkpw /etc/qmail/users

  chmod -R 775 /etc/qmail/control
  chmod -R 775 /etc/qmail/users


  ps ax | grep gocr | grep -v readproctitle | sort -nr -k 4 | grep -v 0: | awk '{print $1}' | xargs -r kill -TERM
